dpkg-repack (1.54build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Sat, 06 Dec 2025 10:44:03 +0100

dpkg-repack (1.54) unstable; urgency=medium

  * Fix Conffiles field regex.

 -- Guillem Jover <guillem@debian.org>  Wed, 25 Sep 2024 03:59:06 +0200

dpkg-repack (1.53) unstable; urgency=medium

  * Build system:
    - Rename test target to check.
    - Pass -j to prove if DEB_BUILD_OPTIONS contains parallel=%.
    - Add an explicit authorcheck target.
  * Code internals:
    - Use parenthesis for non-builtin functions.
    - Do not use parenthesis for builtin functions.
    - Use m{} instead of // or m//.
    - Use character classes instead of escaping metacharacters.
    - Rename functions to decapitalize them and use more clear names.
    - Use q{} instead of ''.
    - Check close() return value.
    - Use q{} instead of '' for noisy quotes.
    - Update copyright years.
  * Packaging:
    - Switch to Standards-Version 4.7.0 (no changed needed).
    - Wrap and sort tests control file.
  * Test suite:
    - Do not interpolate literals.
    - Allow octal literals.
    - Disable perlcritic ErrorHandling::RequireCheckingReturnValueOfEval.

 -- Guillem Jover <guillem@debian.org>  Tue, 24 Sep 2024 19:56:56 +0200

dpkg-repack (1.52) unstable; urgency=medium

  * Documentation:
    - Clarify description in README.
    - Update copyright years.
  * Code internals:
    - Add missing semicolon after statement.
  * Packaging:
    - Switch to Standards-Version 4.6.2 (no changed needed).
    - Do not trim debian/changelog.

 -- Guillem Jover <guillem@debian.org>  Sat, 07 Jan 2023 23:40:57 +0100

dpkg-repack (1.51) unstable; urgency=medium

  * Show the command to rebuild the .deb in more places.
    Thanks to Paul Wise <pabs@debian.org>. Closes: #1020320
  * Documentation:
    - Refer to the main git repository as primary.
    - Switch URLs from http:// to https://.
    - Use a single clone and browsing URL for the source tree.
    - Use deb.debian.org instead of ftp.debian.org for source archive.
  * Build system:
    - Fix build-profile in gitlab-ci.yml file.

 -- Guillem Jover <guillem@debian.org>  Tue, 04 Oct 2022 03:54:04 +0200

dpkg-repack (1.50) unstable; urgency=medium

  * Packaging:
    - Replace experimental usage of «/» in build profile. Closes: #1003814
    - Add missing «pkg.» namespace for local build profile.

 -- Guillem Jover <guillem@debian.org>  Sun, 16 Jan 2022 12:31:45 +0100

dpkg-repack (1.49) unstable; urgency=medium

  * Switch to use dpkg-query with its new --root support.
  * Build system:
    - Add a new gitlab-ci.yml file.
    - Move build system from debian/rules to an actual Makefile.
    - Replace the program version at install time.
  * Packaging:
    - Add author test dependencies under a build-profile.

 -- Guillem Jover <guillem@debian.org>  Sat, 15 Jan 2022 22:24:49 +0100

dpkg-repack (1.48) unstable; urgency=medium

  * Fix and call cmp_listfile in autopkgtest.
  * Fix typo for Standards-Version field name in debian/changelog.
  * Switch to Standards-Version 4.6.0 (no changed needed).
  * Use builtin chown instead of invoking the command.
  * Add support for remove-on-upgrade conffile flag. Closes: #996791
  * Update copyright years.
  * Improve markup and formatting in man page.

 -- Guillem Jover <guillem@debian.org>  Tue, 19 Oct 2021 03:23:31 +0200

dpkg-repack (1.47) unstable; urgency=medium

  * Switch to Standards-Version 4.5.1 (no changed needed).
  * Switch to debhelper compatibility level 13.
  * Switch to the dh sequencer.
  * Run the autopkgtest from within the autopkgtest temporary directory.
  * Use AUTOPKGTEST_TMP instead of deprecated ADTTMP.
  * Do not make missing conffiles a fatal error. Closes: #947951
  * When catching errors during package processing, print them.

 -- Guillem Jover <guillem@debian.org>  Fri, 25 Dec 2020 14:07:59 +0100

dpkg-repack (1.46) unstable; urgency=medium

  * Bump Standards-Version to 4.4.1 (no changed needed).
  * Switch from debian/compat to debhelper-compat in Build-Depends.
  * Switch to debhelper compatibility level 12.
  * Remove dpkg-dev Build-Dpends, satisfied in oldstable.
  * Remove Documentation::RequirePodLinksIncludeText perlcritic suppression.
    The test was bogus and has now been removed from perlcritic.
  * Configure Getopt::Long with «posix_default bundling_values no_ignore_case».
  * Remove backwards compatibility workaround for libdpkg-perl < 1.18.2,
    satisfied in oldstable.
  * Surround replacement names with <> in --help output.
  * Refactor package archival into a new Archive_Package() function.
  * Use a block eval to trap errors from Archive_Package(), so that we will
    detect any errors not just the ones coming from Error() calls.
  * Switch SafeSystem to use Dpkg::IPC::spawn().
  * Switch to Dpkg::ErrorHandling reporting functions. We do not need the
    ad-hoc implementations anymore for problem reporting, and can use the
    ones in libdpkg-perl. Even though they are private, because this is a
    sibling project, we can cope with the lack of interface guarantees.
  * Update copyright years.
  * Add lintian override for dpkg internal database usage false positive.

 -- Guillem Jover <guillem@debian.org>  Sat, 19 Oct 2019 04:51:29 +0200

dpkg-repack (1.45) unstable; urgency=medium

  * Mark package as Multi-Arch foreign.
  * Bump Standards-Version to 4.3.0 (no changed needed).
  * Bump debhelper compatibility to level 11.
  * Update copyright years.
  * Remove unused last argument from SafeSystem() function.
  * Use the .. operator instead of a C-style for loop.
  * Remove trailing whitespace.

 -- Guillem Jover <guillem@debian.org>  Sat, 02 Mar 2019 00:41:43 +0100

dpkg-repack (1.44) unstable; urgency=medium

  * Spelling fixes. Thanks to Josh Soref <jsoref@gmail.com>.
  * Line-wrap dependency fields.
  * Bump Standards-Version to 4.1.5 (no changed needed).
  * Bump debhelper compatibility to level 10.
  * Use the provided pkgname when calling dpkg commands, instead of partially
    reconstructing it from metadata, as we might end up not matching the same
    arch-qualifying the user specified. Closes: #870724
  * Use Dpkg::IPC instead of qx() or open() subcommand pipe support. This will
    give more accurate error messages and will check all function return codes
    involved.
  * Namespace debhelper files with package names.
  * Update Vcs URLs to point to the new hosting site.
  * Move author information in man page from a dedicated section into a proper
    copyright and license header.
  * Rewrite man page from groff to POD.
  * Set Rules-Requires-Root to no.

 -- Guillem Jover <guillem@debian.org>  Sat, 21 Jul 2018 13:20:21 +0200

dpkg-repack (1.43) unstable; urgency=medium

  * Fix variable name botched in a last-minute rebase.
  * Add very basic unit test to check syntax failures.

 -- Guillem Jover <guillem@debian.org>  Mon, 29 Feb 2016 09:03:09 +0100

dpkg-repack (1.42) unstable; urgency=medium

  * Use https for the debian/copyright Format URL.
  * Remove ancient versioned Build-Depends on dpkg.
  * Do not add spurious newlines to the binary control file.
  * Ignore case when comparing all field names, although «dpkg -s» already
    normalizes them for known ones.
  * Use a proper non-deterministic temporary directory per package. This fixes
    a possible security issue, and using --generate with multiple packages.
  * Include the package name in the temporary directory, so that they
    are easier to distinguish when operating on multiple packages with
    --generate.
  * Check immediately if we cannot get any package control information.
  * Switch to use Dpkg::Control to handle the control data. Add a dependency
    on libdpkg-perl.
  * Add basic autopkgtest test cases.
  * When using --generate, also print the error summary if the tree might
    be broken due to processing errors.
  * Automatically use fakeroot if available and not running as root.
  * Add fakeroot to a Suggests field.
  * Rename packagename to package-name in --help output.
  * Remove duplicated program name prefix in generate Info message.
    Thanks to Brian Beffa <brbsix@gmail.com>.
  * Remove duplicated newline in Warn message.
    Thanks to Brian Beffa <brbsix@gmail.com>.
  * Fix grammatical errors and typos in man page and --help output.
    Thanks to Brian Beffa <brbsix@gmail.com>.
  * Add a --tag option to select what to mark as being repackaged.
    Based on a patch by Brian Beffa <brbsix@gmail.com>. Closes: #788628
  * Add a --tag value to mark the package version as repackaged.
    Closes: #788627
  * Switch git repository URLs from git:// to https:// in README and
    debian/control Vcs-Git field.
  * Bump Standards-Version to 3.9.7 (no changed needed).

 -- Guillem Jover <guillem@debian.org>  Sun, 28 Feb 2016 23:10:41 +0100

dpkg-repack (1.41) unstable; urgency=low

  * Actually fix the blank line insertion for the descriptor mangling.
  * Add a Vcs-Browser field.
  * Slightly reword package Description.
  * Remove blank lines between sections in man page.
  * Mark architecture all in bold in man page.

 -- Guillem Jover <guillem@debian.org>  Sat, 11 Apr 2015 17:04:52 +0200

dpkg-repack (1.40) unstable; urgency=low

  * New maintainer. Closes: #768511
  * Update project information (homepage, releases and VCS).
  * Expand debian/copyright to include an explicit «Copyright ©» and
    the full GPL-2+ license notice.
  * Update license notice in dpkg-repack to match the one in debian/copyright,
    by adding the «or later» clause. See #768511.
  * Switch from FSF postal address to a URL.
  * Move Getopt::Long use declaration to the top of the file.
  * Replace -w in the shebang with an explicit use warnings declaration.
  * Improve man page formatting.
    - Generalize the SYNOPSIS.
    - Mark programs, command-line arguments and field names in bold.
    - Mark variable text in italic.
    - Use italic instead of <> to mark variable text.
    - Change .TH line to include the date and version, and to mention this is
      now part of the dpkg suite.
    - Spell package name with a dash.
  * Add references to external man pages, and append the section number to
    program references.
  * Use low-precedence operators for error handling constructs.
  * Use scalar variables instead of barewords for filehandles.
  * Use three-form open call.
  * Use package lexical variables instead of global ones.
  * Pass around control file data as an array of lines.
  * Make $packagename a loop lexical variable.
  * Remove unused $control variable.
  * Set $dirty_flag to 0 when we have done the cleanup.
  * Pass a filehandle reference instead of a bareword to print().
  * Uppercase and rename HERE-doc marker from eof to USAGE.
  * Rework usage output.
  * Add a --help option.
  * Add a --version option.
  * Do not unnecessarily interpolate strings.
  * Remove & sigil from GetOptions function call.
  * Use correct operator for numeric value in $> comparison.
  * Convert debian/rules from dh(1) to explicit debhelper commands.
  * Bump Standards-Version to 3.9.6 (no changed needed).
  * Switch to source format “3.0 (native)”.
  * Bump debhelper compatibility to level 9.
  * Fix description mangling to add a proper blank line separator.
  * Fix example dpkg-deb invocation in dpkg-repack(1) --generate description
    to create a properly named binary package. Closes: #767220
  * Add new -d, --deb-option to allow passing build options to dpkg-deb.
    Closes: #661953

 -- Guillem Jover <guillem@debian.org>  Tue, 25 Nov 2014 23:59:06 +0100

dpkg-repack (1.39) unstable; urgency=medium

  * Orphaned dpkg-repack.

 -- Joey Hess <joeyh@debian.org>  Fri, 07 Nov 2014 17:17:56 -0400

dpkg-repack (1.38) unstable; urgency=medium

  * Do not filter list and conffiles control files from --control-path.
    Thanks, Guillem Jover
  * Use Die instead of die so that cleanup is performed on error.
    Thanks, Guillem Jover
  * Use dpkg-deb directly instead of indirectly through the dpkg frontend
    Thanks, Guillem Jover
  * Misc man page fixes.
    Thanks, Guillem Jover

 -- Joey Hess <joeyh@debian.org>  Sun, 31 Aug 2014 13:43:59 -0700

dpkg-repack (1.37) unstable; urgency=low

  * Fix generation of conffiles list file. For some reason dpkg-query
    does not list this file, so it has to be generated when there's a
    Conffiles stanza in the package status. Closes: #651165
  * Remove the Conffiles stanza from the generated package's control file;
    dpkg ignores it anyway.

 -- Joey Hess <joeyh@debian.org>  Tue, 06 Dec 2011 12:20:13 -0400

dpkg-repack (1.36) unstable; urgency=low

  * Fix check for non-installed packages to not misfire on a package that
    has no dpkg control files. Closes: #644619

 -- Joey Hess <joeyh@debian.org>  Sat, 08 Oct 2011 00:08:54 -0400

dpkg-repack (1.35) unstable; urgency=low

  * Does not need to depend on dpkg-dev. Closes: #616318
  * Fix dpkg-query call to support --rootdir. (Evan Dandresa) Closes: #630765

 -- Joey Hess <joeyh@debian.org>  Fri, 17 Jun 2011 11:27:11 -0400

dpkg-repack (1.34) unstable; urgency=low

  * Only needs to build-depend on dpkg, not dpkg-dev. Closes: #616318
  * Clean up rules file.

 -- Joey Hess <joeyh@debian.org>  Mon, 18 Apr 2011 15:04:11 -0400

dpkg-repack (1.33) unstable; urgency=low

  * Use dpkg-query --control-path rather than hardcoding dpkg path info.
    Will be needed for multiarch.

 -- Joey Hess <joeyh@debian.org>  Wed, 02 Mar 2011 15:16:04 -0400

dpkg-repack (1.32) unstable; urgency=low

  * Avoid adding a second Architecture field to the control file.
    Closes: #558135

 -- Joey Hess <joeyh@debian.org>  Thu, 26 Nov 2009 12:19:39 -0500

dpkg-repack (1.31) unstable; urgency=low

  * Update the man page re ucf.

 -- Joey Hess <joeyh@debian.org>  Mon, 09 Mar 2009 22:52:37 -0400

dpkg-repack (1.30) unstable; urgency=low

  * Use debhelper v7; rules file minimisation.

 -- Joey Hess <joeyh@debian.org>  Tue, 22 Jul 2008 00:27:16 -0400

dpkg-repack (1.29) unstable; urgency=low

  * Apparently knoppix, dpkg -L does not individually list all parent
    directories of files in a package. So don't rely on the parent directories
    always having been made, and create any that are missing.

 -- Joey Hess <joeyh@debian.org>  Sun, 23 Mar 2008 20:33:14 -0400

dpkg-repack (1.28) unstable; urgency=low

  * dpkg-repack's repository has moved from subversion to git.
  * Current standards version.

 -- Joey Hess <joeyh@debian.org>  Fri, 19 Oct 2007 20:36:49 -0400

dpkg-repack (1.27) unstable; urgency=low

  * Update url to web page in README.
  * Remove installhook stuff in debian/rules no longer used.

 -- Joey Hess <joeyh@debian.org>  Mon, 04 Jun 2007 16:43:33 -0400

dpkg-repack (1.26) unstable; urgency=low

  * Update for 822-date deprecation. Closes: #415796

 -- Joey Hess <joeyh@debian.org>  Thu, 22 Mar 2007 16:17:08 -0400

dpkg-repack (1.25) unstable; urgency=low

  * Skip obsolete conffiles, don't include in repacked debs. Closes: #397666

 -- Joey Hess <joeyh@debian.org>  Wed,  8 Nov 2006 16:24:12 -0500

dpkg-repack (1.24) unstable; urgency=low

  * Typo. Closes: #367826

 -- Joey Hess <joeyh@debian.org>  Thu, 18 May 2006 12:09:21 -0500

dpkg-repack (1.23) unstable; urgency=low

  * Man page typo. Closes: #362044
  * Patch from Tomas Pospisek to use cp -a when copying a named pipe,
    as cp -pd will read from the pipe. Closes: #287319

 -- Joey Hess <joeyh@debian.org>  Mon, 15 May 2006 17:15:11 -0500

dpkg-repack (1.22) unstable; urgency=low

  * Add --generate option. Closes: #273468

 -- Joey Hess <joeyh@debian.org>  Tue, 17 Jan 2006 15:58:38 -0500

dpkg-repack (1.21) unstable; urgency=low

  * chown conffiles and control after writing them, necessary so that in
    fakeroot -u these files are not recorded as owned by the user doing the
    packing. Closes: #320233

 -- Joey Hess <joeyh@debian.org>  Thu, 28 Jul 2005 10:48:10 -0400

dpkg-repack (1.20) unstable; urgency=low

  * Use dpkg --print-architecture instead of now-deprecated
    --print-installation-architecture. How to reconcile this with the change
    in version 0.21, I don't know.

 -- Joey Hess <joeyh@debian.org>  Thu, 30 Jun 2005 18:21:03 -0400

dpkg-repack (1.19) unstable; urgency=low

  * Add missing dependency on dpkg-dev.

 -- Joey Hess <joeyh@debian.org>  Fri, 20 Aug 2004 13:42:03 +0100

dpkg-repack (1.18) unstable; urgency=low

  * Add a note that the package was produced by dpkg-repack to its
    description. Closes: #217377

 -- Joey Hess <joeyh@debian.org>  Fri, 24 Oct 2003 13:50:13 -0400

dpkg-repack (1.17) unstable; urgency=low

  * Switch from build-depend-indep to build-depends.

 -- Joey Hess <joeyh@debian.org>  Mon,  8 Sep 2003 20:45:07 -0400

dpkg-repack (1.16) unstable; urgency=low

  * Work again on packages _without_ conffiles. Closes: #193884

 -- Joey Hess <joeyh@debian.org>  Mon, 19 May 2003 18:46:21 -0400

dpkg-repack (1.15) unstable; urgency=low

  * Trim missing conffiles from the conffiles list, since dpkg-deb requires
    all listed conffiles exist. Closes: #193393
  * Skip over "diverts others" lines in dpkg -L. Closes: #193394

 -- Joey Hess <joeyh@debian.org>  Thu, 15 May 2003 13:58:08 -0400

dpkg-repack (1.14) unstable; urgency=low

  * fakeroot's new -u flag should be used if using dpkg-repack with fakeroot.
    Otherwise permissions of non-root-owned files can be messed up. Warn about
    this if -u is not used.
  * Other minor changes.

 -- Joey Hess <joeyh@debian.org>  Sat, 10 May 2003 19:27:28 -0400

dpkg-repack (1.13) unstable; urgency=low

  * Chown directories after making them to deal with directories not owned by
    root. Closes: #191323
    (There is still a bug in fakeroot that makes dpkg-repack not work under
    fakeroot, but I will file a separate bug for that.)

 -- Joey Hess <joeyh@debian.org>  Thu,  1 May 2003 10:47:38 -0400

dpkg-repack (1.12) unstable; urgency=low

  * Remove "L" from man page section.

 -- Joey Hess <joeyh@debian.org>  Tue, 29 Apr 2003 18:30:31 -0400

dpkg-repack (1.11) unstable; urgency=low

  * Rebuild w/o /usr/doc link.

 -- Joey Hess <joeyh@debian.org>  Fri, 15 Nov 2002 15:28:39 -0500

dpkg-repack (1.10) unstable; urgency=low

  * use dh_installman.

 -- Joey Hess <joeyh@debian.org>  Thu, 13 Jun 2002 18:26:31 -0400

dpkg-repack (1.9) unstable; urgency=low

  * Debhelper v4.

 -- Joey Hess <joeyh@debian.org>  Sat,  1 Jun 2002 16:41:04 -0400

dpkg-repack (1.8) unstable; urgency=low

  * Better error handling thanks to Bill Allombert. Closes: #141499

 -- Joey Hess <joeyh@debian.org>  Sat,  6 Apr 2002 22:10:39 -0500

dpkg-repack (1.7) unstable; urgency=low

  * Fixed uninitialized value if the last item in a package's file list
    was a symlink to a directory that also exists in the package.
    Closes: #88978
  * Removed the debstd-style output.
  * Use debhelper v3.

 -- Joey Hess <joeyh@debian.org>  Thu,  8 Mar 2001 16:18:26 -0800

dpkg-repack (1.6) unstable; urgency=low

  * Use debhelper v2.

 -- Joey Hess <joeyh@debian.org>  Mon, 25 Sep 2000 14:56:29 -0700

dpkg-repack (1.5) unstable; urgency=low

  * Documented a conffile problem I can do nothing about. Closes: #69009

 -- Joey Hess <joeyh@debian.org>  Fri,  1 Sep 2000 16:55:52 -0700

dpkg-repack (1.4) unstable; urgency=low

  * Applied a cleaner fix for the mkdir problem, by David Lively
    <lively@ucentric.com>, Closes: #64605

 -- Joey Hess <joeyh@debian.org>  Wed, 24 May 2000 12:52:31 -0700

dpkg-repack (1.3) unstable; urgency=low

  * Don't bomb out if ran in a directory with the suid/sgid bit set.
    Closes: #64605

 -- Joey Hess <joeyh@debian.org>  Wed, 24 May 2000 12:42:51 -0700

dpkg-repack (1.2) unstable; urgency=low

  * Removed more historical cautions in the man page.
  * Dragged screaming and kicking into the world of perl5. Now -w and use
    strict safe; lots of cleanups. Still needs a bit of a rewrite.
  * Can repack multiple packages in sequence now.

 -- Joey Hess <joeyh@debian.org>  Fri, 17 Dec 1999 19:00:07 -0800

dpkg-repack (1.1) unstable; urgency=low

  * Build deps.

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Dec 1999 00:52:53 -0800

dpkg-repack (1.0) unstable; urgency=low

  * FHS
  * Integrated into my cvs build system.
  * It occurs to me that this is a pretty stable package, so I
    bumped the version number to 1.0.

 -- Joey Hess <joeyh@debian.org>  Fri, 10 Sep 1999 21:19:21 -0700

dpkg-repack (0.25) unstable; urgency=low

  * Depend on gcc, because it uses dpkg --build which brain-deadly requires
    dpkg be present (and of course dpkg doesn't depend on gcc..)
    (Closes: #40985)

 -- Joey Hess <joeyh@debian.org>  Thu,  8 Jul 1999 11:20:26 -0700

dpkg-repack (0.24) unstable; urgency=low

  * Now depends on perl5 | perl, I'll kill the | perl bit later on, but it
    seems to make sense for the transition.

 -- Joey Hess <joeyh@debian.org>  Sun,  4 Jul 1999 10:57:57 -0700

dpkg-repack (0.23) unstable; urgency=low

  * Quote another regexp (#39955).

 -- Joey Hess <joeyh@debian.org>  Tue, 22 Jun 1999 09:35:46 -0700

dpkg-repack (0.22) unstable; urgency=low

  * Added note to an error message that fakeroot may be used.

 -- Joey Hess <joeyh@debian.org>  Thu,  8 Apr 1999 21:16:22 -0700

dpkg-repack (0.21) unstable; urgency=low

  * Use --print-installation-architecture instead of --print-architecture
    (#31738)
  * Link to new homepage in the README.

 -- Joey Hess <joeyh@debian.org>  Mon, 11 Jan 1999 13:04:49 -0800

dpkg-repack (0.20) unstable; urgency=low

  * Changed how I disable locales when running dpkg -l - now set LC_ALL=C.

 -- Joey Hess <joeyh@debian.org>  Wed, 17 Jun 1998 12:27:16 -0700

dpkg-repack (0.19) unstable; urgency=low

  * Version 0.16 broke repacking packages that had diverted files in them,
    because of how dpkg -L shows that info. (#23339). It turns out that
    older versions of dpkg-repack packed up not the original file, but the
    file that was diverted to replace it. I've decided that is incorrect
    behavior, and changed it so if there is a diversion, the original file is
    placed in the repacked package.

 -- Joey Hess <joeyh@debian.org>  Sat, 13 Jun 1998 17:35:22 -0700

dpkg-repack (0.18) unstable; urgency=low

  * Removed some debugging output I accidentally put in the last version.
  * Works now for packages that have filenames with spaces in them (like
    maelstrom).
  * Changed the description to remove the "attempts to". It should always
    work. (heh)

 -- Joey Hess <joeyh@debian.org>  Thu, 28 May 1998 06:14:27 -0400

dpkg-repack (0.17) unstable; urgency=low

  * Uses dpkg for querying the status file and getting the file list, rather
    than doing it by hand. However, dpkg-repack still accesses the dpkg
    database directly, because it copies maintainer scripts, etc, from
    there. There is no way to get that information via dpkg.
  * Fixed  bug #22603 - a failure when eg. /usr is a symlink.
    .
    If the package contains a file, that locally looks like a symlink
    pointing to a directory that is not in the package, then change it to a
    real directory in the repacked package. This assumes that in this case,
    the symlink was a local change (eg, /usr is a symlink).
    .
    However, if the directory in question contains no files in the filelist
    for this package, don't do that, just preserve the symlink in the repacked
    package. This handles the case where a package contains a symlink to a
    directory elsewhere.

 -- Joey Hess <joeyh@debian.org>  Tue, 26 May 1998 07:02:14 -0400

dpkg-repack (0.16) frozen unstable; urgency=low

  * Handle directories that are symlinks properly (#20280).

 -- Joey Hess <joeyh@debian.org>  Thu, 26 Mar 1998 22:30:35 -0800

dpkg-repack (0.15) unstable; urgency=low

  * Fixed minor lintian errors.

 -- Joey Hess <joeyh@debian.org>  Sat, 14 Mar 1998 20:00:09 -0800

dpkg-repack (0.14) unstable; urgency=low

  * Updated fsf address.

 -- Joey Hess <joeyh@debian.org>  Mon,  9 Feb 1998 12:54:00 -0800

dpkg-repack (0.13) unstable; urgency=low

  * Depend on perl 5.004 or greater (For Getopt::Long).

 -- Joey Hess <joeyh@debian.org>  Sat, 17 Jan 1998 02:12:58 -0500

dpkg-repack (0.12) unstable; urgency=low

  * Added option to make it build a debian package of a different
    architecture than the default. (#17173)

 -- Joey Hess <joeyh@debian.org>  Fri, 16 Jan 1998 11:18:35 -0500

dpkg-repack (0.11) unstable; urgency=low

  * Fix bug #17053, the first package listed in the status file can be
    repacked now.

 -- Joey Hess <joeyh@debian.org>  Tue, 13 Jan 1998 14:16:17 -0500

dpkg-repack (0.10) unstable; urgency=low

  * Don't include file list file in package. (Removes "contained list as info
    file" error from dpkg when you install dpkg-repacked packages.

 -- Joey Hess <joeyh@debian.org>  Thu, 27 Nov 1997 23:26:07 -0500

dpkg-repack (0.9) unstable; urgency=low

  * Force the umask to 022 (#14516).
  * Use debhelper.
  * Be a bit more positive that the package will work in the description,
    since it seems to have worked pretty much ok for a year.

 -- Joey Hess <joeyh@debian.org>  Tue,  4 Nov 1997 01:08:39 -0500

dpkg-repack (0.8) unstable; urgency=low

  * Routine update of debian/rules:
    Fixed binary-indep target.

 -- Joey Hess <joeyh@debian.org>  Thu,  4 Sep 1997 19:30:13 -0400

dpkg-repack (0.7) unstable; urgency=low

  * Moved it into unstable.
  * Changed the program so it puts its temporary directory and the result
    .deb file into the current directory, instead of /tmp. This is the same
    as alien works, and I made this change mainly so you can repack some
    large package on a spare partition when it won't fit on the partition
    that contains /tmp.
  * Added --root=<dir> option, to make it operate on the filesystem rooted at
    <dir>.
  * Remove temporary directory when done.
  * Man page fixes.
  * Added proper error trapping and handling.
  * Added progress messages.
  * Routine update of debian/rules:
    Run dpkg-gencontrol after debstd, and delete substvars during clean.

 -- Joey Hess <joeyh@debian.org>  Thu, 26 Jun 1997 18:54:40 -0400

dpkg-repack (0.6) experimental; urgency=low

  * Fixed problem with packaging dangling symlinks.
  * Fixed permissions files when creating directories.
  * Add Architecture: field to the control file.
  * Removed some debugging info that was left in by mistake.
  * Routine update of debian/rules:
    Run dpkg-gencontrol after debstd, and delete substvars during clean.

 -- Joey Hess <joeyh@debian.org>  Sun, 6 Apr 1997 15:11:25 -0400

dpkg-repack (0.5) experimental; urgency=high

  * Oops! This package was not meant to be in unstable. It's supposed to be
    in experimental.

 -- Joey Hess <joeyh@debian.org>  Thu, 20 Mar 1997 01:59:04 -0500

dpkg-repack (0.4) unstable; urgency=low

  * Use /var/lib/dpkg/status, not /var/lib/dpkg/available.
  * Routine update of debian/rules:
    Clean up junk files in subdirs.

 -- Joey Hess <joeyh@debian.org>  Mon, 17 Mar 1997 16:39:05 -0500

dpkg-repack (0.3) unstable; urgency=low

  * New author/maintainer email address.

 -- Joey Hess <joeyh@debian.org>  Tue, 24 Dec 1996 15:30:21 -0500

dpkg-repack (0.2) experimental; urgency=low

  * Fixed bug where it did not install shlibs and other control files.
  * Routine update of debian/rules (now uses debmake).
  * Fixed problem with perl 5.003.07.

 -- Joey Hess <joeyh@debian.org>  Wed, 6 Nov 1996 22:28:20 -0500

dpkg-repack (0.1) experimental; urgency=low

  * First release.

 -- Joey Hess <joeyh@debian.org>  Fri, 18 Oct 1996 00:07:24 -0400
